/*
 * Windfreak Technologies SynthNV Series RF Signal Generator Library
 * Copyright © 2013 D Scott Guthridge <pdx_scooter@yahoo.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef WFSYN_AM_H
#define WFSYN_AM_H

/*
 * WFSYN_N_AM_STEPS: number of steps in an AM cycle
 */
#define WFSYN_N_AM_STEPS	 32

/*
 * wfsyn_am_map_type
 *   Describes a row of the table mapping between wfsyn library (AM power,
 *   AM modulation depth), and Synth NV firmware (AM offset and AM percent).
 */
typedef struct {
    /* average output power over a complete modulation cycle */
    double m_power;

    /* peak modulation voltage over center voltage (in percent) */
    double m_depth;

    /* Synth NV AM offset  value [0..63] */
    int	   m_off;

    /* Synth NV AM percent value [0..100] */
    int	   m_pct;

} wfsyn_am_map_type;

extern const wfsyn_am_map_type wfsyn_am_map[];
extern const int wfsyn_am_map_length;

#endif /* WFSYN_AM_H */
