/*
 * Windfreak Technologies SynthNV Series RF Signal Generator Library
 * Copyright © 2013 D Scott Guthridge <pdx_scooter@yahoo.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CALIBRATE_OUTPUT_H
#define CALIBRATE_OUTPUT_H

#include "wfsyn_internal.h"

#ifndef PI
#define PI	3.14159265358979323844
#endif /* PI */

#define POWER_MIN		(adf435x_power_table[0] + HMC625_POWER0)
#define POWER_MAX	 	(adf435x_power_table[3] + HMC625_POWER63)
#define POWER_STEP	  	HMC625_POWER_STEP

#define MAX_DETECTOR_POWER	+10.0

extern void calibrate_output(wfsyn_device_type *wfsynp, double attenuation);

#endif /* CALIBRATE_OUTPUT_H */
